VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
CResourceInputStream Class Reference

Resource input stream. More...

Inheritance diagram for CResourceInputStream:

## Public Member Functions
| CResourceInputStream (ByteOrder byteOrder=kNativeByteOrder)
| ~CResourceInputStream () noexceptoverride
bool | open (const CResourceDescription &res)
bool | operator>> (std::string &string) override
uint32_t | readRaw (void *buffer, uint32_t size) override
int64_t | seek (int64_t pos, SeekMode mode) override
| returns -1 if seek fails otherwise new position
int64_t | tell () const override
void | rewind () override
Public Member Functions inherited from InputStream
| InputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~InputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator>> (int8_t &output)
bool | operator>> (uint8_t &output)
bool | operator>> (int16_t &output)
bool | operator>> (uint16_t &output)
bool | operator>> (int32_t &output)
bool | operator>> (uint32_t &output)
bool | operator>> (int64_t &output)
bool | operator>> (uint64_t &output)
bool | operator>> (double &output)
Public Member Functions inherited from SeekableStream
virtual | ~SeekableStream () noexcept=default

## Protected Attributes
PlatformResourceInputStreamPtr | platformStream

## Additional Inherited Members
Public Types inherited from SeekableStream
enum | SeekMode { kSeekSet, kSeekCurrent, kSeekEnd }

## Detailed Description

Resource input stream.

## Constructor & Destructor Documentation

CResourceInputStream | ( | ByteOrder | byteOrder = `kNativeByteOrder` | ) |
| explicit

~CResourceInputStream | ( |  | ) |
| override noexcept

## Member Function Documentation

bool open | ( | const CResourceDescription & | res | ) |

bool operator>> | ( | std::string & | string | ) |
| inline override virtual

Implements InputStream.

uint32_t readRaw | ( | void * | buffer,
|  | uint32_t | size
| ) |  |
| override virtual

Implements InputStream.

void rewind | ( |  | ) |
| override virtual

Implements SeekableStream.

int64_t seek | ( | int64_t | pos,
|  | SeekMode | mode
| ) |  |
| override virtual

returns -1 if seek fails otherwise new position

Implements SeekableStream.

int64_t tell | ( |  | ) | const
| override virtual

Implements SeekableStream.

## Member Data Documentation

PlatformResourceInputStreamPtr platformStream
| protected

The documentation for this class was generated from the following files:

- cstream.h
- cstream.cpp